pydo.registry.list_repository_tags()
Generated on 8 May 2026
from pydo version
v0.34.0
deprecated
Usage
client.registry.list_repository_tags(
per_page=20,
page=1,
registry_name="example",
repository_name="repo-1",
)Description
Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.
To list all tags in your container registry repository, send a GET
request to /v2/registry/{registry_name}/repositories/{repository_name}/tags.
Note that if your repository name contains / characters, it must be
URL-encoded in the request URL. For example, to list tags for
registry.digitalocean.com/example/my/repo, the path would be
/v2/registry/example/repositories/my%2Frepo/tags.
Parameters
per_pageinteger optionalNumber of items returned per page
pageinteger optionalWhich 'page' of paginated results to return.
registry_namestring requiredThe name of a container registry.
repository_namestring requiredThe name of a container registry repository. If the name contains
/characters, they must be URL-encoded, e.g.%2F.
Request Sample
Pagination
This method returns paginated results. The response includes a
links.pages object with URLs for navigating between pages. To
retrieve the next page, parse the next URL and pass the page
parameter:
from urllib.parse import urlparse, parse_qs
resp = client.registry.list_repository_tags(registry_name="example", repository_name="repo-1", )
pages = resp.get("links", {}).get("pages", {})
while "next" in pages:
parsed = urlparse(pages["next"])
page = int(parse_qs(parsed.query)["page"][0])
resp = client.registry.list_repository_tags(registry_name="example", repository_name="repo-1", page=page)
pages = resp.get("links", {}).get("pages", {})Response Example
More Information
See /v2/registry/{registry_name}/repositories/{repository_name}/tags in the API reference for additional detail on responses, headers, parameters, and more.